Subject: Re: gnu-win32 without registry entries?
From: [email-masked] (Larry Hall)

17 Oct 1998 05:21:37 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: Enoch Wu <[email-masked]>, [email-masked],
        [email-masked]

Hard coded locations would be a mistake.  Locations that assume certain 
drive paths (even c:) would also be a mistake in my view.  I don't care
much for this whole registry concept myself but I prefer it in this case
to circumvent the inane drive designations of DOS-based systems.  So while
I'd prefer a "standard" fstab file like many of you, unless there is a 
nice way to put it in its "proper" place with the rest of the distribution,
I would argue against any such change unless there was an option to choose
the rigid, file based approach or the flexible registry approach.  If these
2 options were available and were the only two, I would also argue that the
registry option should remain the default.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02482-7797               http://www.rfk.com

At 05:57 PM 10/14/98 -0700, Enoch Wu wrote:
>Hi all,
>
>I second it!  We should be able to use a mount table like linux's fstab on
>the C drive's root directory. How do you mount it on c:/root/b19/etc/fstab
>for example, assuming the root is at c:/root/b19 ?  Perhaps the location of
>fstab can be hard-coded like c:/root/etc/fstab.
>
>Enoch
>
>At 05:34 PM 10/13/98 -0700, [email-masked] wrote:
>>As far as I can tell, the only thing the registry entries are used for is 
>>to set up the simulated mounts, with the binary text options.
>>
>>How much trouble would it be to do this with a mount table as per Linux, 
>>instead of putting it in the registry?  
>>
>>One reason I ask is that I work for a big company and our IS people want 
>>everyone to have standard registry entries.  It seems to me that everything 
>>else I really need works without messing with the registry.
>>
>>Other than that, I'm really quite pleased with cyg-win/gnu-win.
>>
>>John Velman
>>[email-masked]
>>-
>>For help on using this list (especially unsubscribing), send a message to
>>"[email-masked]" with one line of text: "help".
>>
>>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".